# Postback URL

***Offer’s Postback URL, which is for advertisers to pass back data.***

**NOTE: Which types of postback url can be obtained is related to the types of conversion\_protocol.**

**If offer pricing type is CPC, there is no Postback URL.**

***New parameter, event\_id, is added to in this update. To compatible with last interface, the new interface can still acquire Postback, but it is restricted to the Postback corresponding to event\_id. If you want to acquire Postback corresponding to other event, please use new request interface.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods | HTTP method | Endpoint                                                                                                                                                                       | Description                                            |
| ------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------ |
| **Get** |             |                                                                                                                                                                                |                                                        |
|         | GET         | [/v1/offers/{offer\_id}/postbacks](/api-documentation/networkapi/offers/sub-resources/postback_url_of_offer/get_information_about_a_specific_offers_post_back_url.md)          | Get information about a specific offer’s post back URL |
|         | GET         | [/v1/offers/{offer\_id}/offer\_events/{event\_id}/postbacks](/api-documentation/networkapi/offers/sub-resources/postback_url_of_offer/get_offers_post_back_url_by_event_id.md) | Get offer’s post back URL by event id                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/postback_url_of_offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
